## -*- texinfo -*-
## @deftypefn {Function File} {@var{r}} eq (@var{p1}, @var{p2})
## Are the inputs equal.
## @end deftypefn
function r = eq (p1, p2)
  if (isa (p2, class (p1)))
    r = isequal (p1.plan, p2.plan);
  else
    error ("inputParser:invalidinput",
           "Input is not an inputParser object.")
  endif
endfunction


