## -*- texinfo -*-
## @deftypefn {Function File} {@var{v}} set (@var{p}, @var{f})
## Get a property of an inputParser object.
## @end deftypefn
function p = set (p, f, v)
  if (any (strcmp (f, fieldnames (p))))
    p.(f) = v;
  else
    error ("inputParser:invalidsubsref",
           "Invalid fieldname/property of inputParser object.")
  endif
endfunction


