## -*- texinfo -*-
## @deftypefn {Function File} {@var{v}} get (@var{p}, @var{f})
## Get a property of an inputParser object.
## @end deftypefn
function v = get (p, f)
  if (any (strcmp (f, fieldnames (p))))
    v = p.(f);
  else
    error ("inputParser:invalidsubsref",
           "Invalid fieldname/property of inputParser object.")
  endif
endfunction


