## -*- texinfo -*-
## @deftypefn {Function File} {@var{p} =} inputparser_plan (@var{p}, @var{arg_type), @var{name}, @var{validator})
## Undocumented function.
## @end deftypefn

## Author: Ben Abbott <bpabbott@mac.com>
## Created: 2010-11-15

function p = inputparser_plan (q, arg_type, name, default, validator)
  if (isa (q, "inputParser"))
    p = q;
    plan = get (p, "plan");
    if (isempty (plan))
      plan = struct ();
      n = 1;
    else
      n = numel (plan) + 1;
    endif
    plan(n).type = arg_type;
    plan(n).name = name;
    plan(n).default = default;
    plan(n).validator = validator;
    p = set (p, "plan", plan);
  else
    error ("Input is not an inputParser object")
  endif
endfunction
