## -*- texinfo -*-
## @deftypefn {Function File} {@var{v}} subsasgn (@var{p}, @var{f}, @var{v})
## Set a property of an inputParser object.
## @end deftypefn
function obj = subsasgn (obj, prop, value)
  ## FIXME - strcmp (prop.type, ".") throws an error for obj.subs.field;
  if (strcmp (prop(1).type, ".")
     && any (strcmp (prop(1).subs, fieldnames (obj))))
    obj = builtin ("subsasgn", obj, prop, value);
  elseif (strcmp (prop(1).type, "()"))
    error ("inputParser:invalidsubsasgn",
           "An inputParser object may not be indexed.")
  elseif (! strcmp (prop(1).type, "."))
    error ("inputParser:invalidsubsasgn",
           "Invalid subsasgn for property of inputParser object.")
  else
    error ("inputParser:unknownerror")
  endif
endfunction

